xine-lib: xine-lib-1.2.12/src/combined/nsf_decoder.c File Reference

xine-lib 1.2.12

Data Structures | Typedefs | Functions
nsf_decoder.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <xine/xine_internal.h>`
`#include <xine/audio_out.h>`
`#include <xine/buffer.h>`
`#include <xine/xineutils.h>`
`#include "bswap.h"`
`#include "types.h"`
`#include "nsf.h"`
`#include "nsf_combined.h"`

## Data Structures
struct | nsf_decoder_s

## Typedefs
typedef struct nsf_decoder_s | nsf_decoder_t

## Functions
static void | nsf_decode_data (audio_decoder_t *this_gen, buf_element_t *buf)
static void | nsf_reset (audio_decoder_t *this_gen)
static void | nsf_discontinuity (audio_decoder_t *this_gen)
static void | nsf_dispose (audio_decoder_t *this_gen)
static audio_decoder_t * | open_plugin (audio_decoder_class_t *class_gen, xine_stream_t *stream)
void * | decoder_nsf_init_plugin (xine_t *xine, const void *data)

## Typedef Documentation

## ◆ nsf_decoder_t

typedef struct nsf_decoder_s nsf_decoder_t

## Function Documentation

## ◆ decoder_nsf_init_plugin()

void * decoder_nsf_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and audio_decoder_class_s::open_plugin.

## ◆ nsf_decode_data()

static void nsf_decode_data | ( | audio_decoder_t * | this_gen,
|  | buf_element_t * | buf
| ) |  |
| static

References _x_ao_channels2mode(), _X_BE_32, _x_meta_info_set_utf8(), BUF_FLAG_HEADER, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, audio_buffer_s::mem, audio_buffer_s::mem_size, NULL, audio_buffer_s::num_frames, buf_element_s::pts, buf_element_s::size, audio_buffer_s::stream, audio_buffer_s::vpts, xine_fast_memcpy, XINE_META_INFO_AUDIOCODEC, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by open_plugin().

## ◆ nsf_discontinuity()

static void nsf_discontinuity | ( | audio_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ nsf_dispose()

static void nsf_dispose | ( | audio_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ nsf_reset()

static void nsf_reset | ( | audio_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ open_plugin()

static audio_decoder_t * open_plugin | ( | audio_decoder_class_t * | class_gen,
|  | xine_stream_t * | stream
| ) |  |
| static

References nsf_decode_data(), nsf_discontinuity(), nsf_dispose(), nsf_reset(), and NULL.

Referenced by decoder_nsf_init_plugin().